/* Document Level Styles */

/*
  The imports below are needed to include our light dom css for global styles such as fonts and colors.
  You can comment out any of these imports if you do not need that css. For example, if you have your own
  global font family css then you can comment out the typography.css import.
*/

/** Core CSS required for ionic components to work property */
@import "~@ionic/core/css/core.css";

/** Basic CSS for apps built with Ionic */
@import "~@ionic/core/css/normalize.css";
@import "~@ionic/core/css/structure.css";
@import "~@ionic/core/css/typography.css";

/** Optional CSS utils that can be commented out */
@import "~@ionic/core/css/padding.css";
@import "~@ionic/core/css/float-elements.css";
@import "~@ionic/core/css/text-alignment.css";
@import "~@ionic/core/css/text-transformation.css";
@import "~@ionic/core/css/flex-utils.css";

/*
  The CSS Variables below can be used to theme your app.
  For more info on CSS variables check out:
  https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_variables

  More info about color theming using Ionic:
  https://ionicframework.com/docs/theming/color-generator
*/

.background-container {
  width: 100vw;
  height: 100vh;
  background-image: url('../assets/landscape.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: 50% 50%;
}

.center-horiz {
  display: table;
  margin: auto;
}

.button-margin {
  margin-top: 10vh;
  margin-bottom: 10vh;
}

.half-width {
  width: 50vh;
}

.ion-form-text {
  font-size: 1.5em;
}

.full-size {
  height: 100%;
  width: 100%
}

.bold-text {
  font-weight: bold;
  font-size: 1.1em;
}

.clickable {
  cursor: pointer;
}


:root {
  /** primary **/
  --ion-color-primary: #3b3b41;
  --ion-color-primary-rgb: 59,59,65;
  --ion-color-primary-contrast: #ffffff;
  --ion-color-primary-contrast-rgb: 255,255,255;
  --ion-color-primary-shade: #343439;
  --ion-color-primary-tint: #4f4f54;

  /** tertiary **/
  --ion-color-secondary: #00a7cd;
  --ion-color-secondary-rgb: 0,167,205;
  --ion-color-secondary-contrast: #ffffff;
  --ion-color-secondary-contrast-rgb: 255,255,255;
  --ion-color-secondary-shade: #0093b4;
  --ion-color-secondary-tint: #1ab0d2;

  /** success **/
  --ion-color-success: #10dc60;
  --ion-color-success-rgb: 16,220,96;
  --ion-color-success-contrast: #fff;
  --ion-color-success-contrast-rgb: 255,255,255;
  --ion-color-success-shade: #0ec254;
  --ion-color-success-tint: #28e070;

  /** warning **/
  --ion-color-warning: #ffce00;
  --ion-color-warning-rgb: 255,206,0;
  --ion-color-warning-contrast: #000;
  --ion-color-warning-contrast-rgb: 0,0,0;
  --ion-color-warning-shade: #e0b500;
  --ion-color-warning-tint: #ffd31a;

  /** danger **/
  --ion-color-danger: #f53d3d;
  --ion-color-danger-rgb: 245,61,61;
  --ion-color-danger-contrast: #fff;
  --ion-color-danger-contrast-rgb: 255,255,255;
  --ion-color-danger-shade: #d83636;
  --ion-color-danger-tint: #f65050;

  /** white **/
  --ion-color-white: #ffffff;
  --ion-color-white-rgb: 255,255,255;
  --ion-color-white-contrast: #000000;
  --ion-color-white-contrast-rgb: 0,0,0;
  --ion-color-white-shade: #e0e0e0;
  --ion-color-white-tint: #ffffff;

  /** light **/
  --ion-color-light: #f4f4f4;
  --ion-color-light-rgb: 244,244,244;
  --ion-color-light-contrast: #000;
  --ion-color-light-contrast-rgb: 0,0,0;
  --ion-color-light-shade: #d7d7d7;
  --ion-color-light-tint: #f5f5f5;

  /** medium **/
  --ion-color-medium: #989aa2;
  --ion-color-medium-rgb: 152,154,162;
  --ion-color-medium-contrast: #000;
  --ion-color-medium-contrast-rgb: 0,0,0;
  --ion-color-medium-shade: #86888f;
  --ion-color-medium-tint: #a2a4ab;

  /** dark **/
  --ion-color-dark: #222;
  --ion-color-dark-rgb: 34,34,34;
  --ion-color-dark-contrast: #fff;
  --ion-color-dark-contrast-rgb: 255,255,255;
  --ion-color-dark-shade: #1e1e1e;
  --ion-color-dark-tint: #383838;

  /** snapchat **/
  --ion-color-snapchat: #FFFC00;
  --ion-color-snapchat-rgb: 255, 252, 0;
  --ion-color-snapchat-contrast: #ffffff;
  --ion-color-snapchat-contrast-rgb: 255, 255, 255;
  --ion-color-snapchat-shade: #e0de00;
  --ion-color-snapchat-tint: #fffc1a;

  /** facebook **/
  --ion-color-facebook: #3b5998;
  --ion-color-facebook-rgb: 59,89,152;
  --ion-color-facebook-contrast: #ffffff;
  --ion-color-facebook-contrast-rgb: 255,255,255;
  --ion-color-facebook-shade: #344e86;
  --ion-color-facebook-tint: #4f6aa2;

  /** whatsapp **/
  --ion-color-whatsapp: #25D366;
  --ion-color-whatsapp-rgb: 37,211,102;
  --ion-color-whatsapp-contrast: #FFFFFF;
  --ion-color-whatsapp-contrast-rgb: 255,255,255;
  --ion-color-whatsapp-shade: #21ba5a;
  --ion-color-whatsapp-tint: #3bd775;

}

.ion-color-white {
  --ion-color-base: var(--ion-color-white) !important;
  --ion-color-base-rgb: var(--ion-color-white-rgb) !important;
  --ion-color-contrast: var(--ion-color-white-contrast) !important;
  --ion-color-contrast-rgb: var(--ion-color-white-contrast-rgb) !important;
  --ion-color-shade: var(--ion-color-white-shade) !important;
  --ion-color-tint: var(--ion-color-white-tint) !important;
}

.ion-color-snapchat {
  --ion-color-base: var(--ion-color-snapchat) !important;
  --ion-color-base-rgb: var(--ion-color-snapchat-rgb) !important;
  --ion-color-contrast: var(--ion-color-snapchat-contrast) !important;
  --ion-color-contrast-rgb: var(--ion-color-snapchat-contrast-rgb) !important;
  --ion-color-shade: var(--ion-color-snapchat-shade) !important;
  --ion-color-tint: var(--ion-color-snapchat-tint) !important;
}

.ion-color-facebook {
  --ion-color-base: var(--ion-color-facebook) !important;
  --ion-color-base-rgb: var(--ion-color-facebook-rgb) !important;
  --ion-color-contrast: var(--ion-color-facebook-contrast) !important;
  --ion-color-contrast-rgb: var(--ion-color-facebook-contrast-rgb) !important;
  --ion-color-shade: var(--ion-color-facebook-shade) !important;
  --ion-color-tint: var(--ion-color-facebook-tint) !important;
}

.ion-color-whatsapp {
  --ion-color-base: var(--ion-color-whatsapp) !important;
  --ion-color-base-rgb: var(--ion-color-whatsapp-rgb) !important;
  --ion-color-contrast: var(--ion-color-whatsapp-contrast) !important;
  --ion-color-contrast-rgb: var(--ion-color-whatsapp-contrast-rgb) !important;
  --ion-color-shade: var(--ion-color-whatsapp-shade) !important;
  --ion-color-tint: var(--ion-color-whatsapp-tint) !important;
}

